AntiFeatures:
  NonFreeNet:
    en-US: Depends on Youtube.
Categories:
  - Internet
  - Multimedia
License: GPL-3.0-or-later
AuthorName: Team LibreTube
WebSite: https://libre-tube.github.io
SourceCode: https://github.com/libre-tube/LibreTube
IssueTracker: https://github.com/libre-tube/LibreTube/issues
Translation: https://hosted.weblate.org/projects/libretube/libretube/
Changelog: https://github.com/libre-tube/LibreTube/releases

AutoName: LibreTube

RepoType: git
Repo: https://github.com/libre-tube/LibreTube.git

Builds:
  - versionName: 0.2.3
    versionCode: 5
    commit: bf6009b229934642377fe28da30d19a28ef7075a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.2.4
    versionCode: 6
    commit: a066a86268e4349e182d0c009bd98178672c9c7f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.2.6
    versionCode: 8
    commit: 6e6a31740c9202e873b8db78c529aaa2436bbbd3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.3.0
    versionCode: 10
    commit: 540ff2d2e6abcd498896344842f06ea20a85d78a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.3.1
    versionCode: 11
    commit: dcc6d6d41c664c70a8f79e691229fb394a9c5794
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.3.2
    versionCode: 12
    commit: b25b65d3c8552ab7ea2cc76c3665475ef0519248
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.3.3
    versionCode: 13
    commit: 48fc7c7b3aee6ffe12889efc6f1e8f821a280ac4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.4.1
    versionCode: 15
    commit: b39e56f59b0d113a42d4e26106208029e3acbd32
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.4.2
    versionCode: 16
    commit: fd00deb661a33deee666c5b2d9e718065a812f1e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.5.0
    versionCode: 17
    commit: 3ca43d9ad0487caca6cc2400e46200ca06ffb7a4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.5.1
    versionCode: 18
    commit: 52ce8340036d042a38138e0303a3ff7c5697eac6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.6.0
    versionCode: 19
    commit: 99bf1bf71fadfab5eec4a0f3479093a6e429e434
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.6.1
    versionCode: 20
    commit: 89abaa305aa7926f449356b7d528f55dc9d8fd20
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.7.0
    versionCode: 21
    commit: de7f3b2fba5579782b066c4591d6bcb4245f3b34
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.8.0
    versionCode: 23
    commit: 25390209ce35e2922b1a974153451504cfcddb69
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.9.0
    versionCode: 24
    commit: 7ad0a9ad875dc36d6022e5936c467e221067ad22
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.9.1
    versionCode: 25
    commit: 805bba494be09b66d570c90e61687f984d261772
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.10.0
    versionCode: 26
    commit: e5bcb76fa4a9e029370a16688e8bbb42142f300f
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.11.0
    versionCode: 27
    commit: 5793bb2b9e68c5ceb02836d101d75f1077e6168e
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.11.1
    versionCode: 28
    commit: 55c7dcb13726367d9dcca42b82b5d9a4119a3abd
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.12.0
    versionCode: 29
    commit: ab1b94d78df62da62b2a3f07f616076ceeb5bb60
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.12.1
    versionCode: 30
    commit: 0e903e9d8dc59dbb039d603d0f79f44aef1df176
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.13.1
    versionCode: 32
    commit: 4470e4f7577b05a8041cd97975b02e27a5b82f70
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.14.0
    versionCode: 33
    commit: 26713d31a69f15671142fe2246c936bf32b12b48
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.14.1
    versionCode: 34
    commit: 72107fc7891ff1386ab9023d002ffe63c754cdef
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.15.0
    versionCode: 35
    commit: 2c32735e68295e61b2689d6f988972c3384e06ff
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.15.1
    versionCode: 36
    commit: b3f36d0ab277777133033790ef8a697efab076e7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.16.0
    versionCode: 37
    commit: e846bcd43ef3b94cb80925a6a55be453a2239990
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.16.1
    versionCode: 38
    commit: 3d702418ce1facddea2d84f56ccf08dedaaab693
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.17.0
    versionCode: 39
    commit: 3d3dd3f5735d51b8a70010517ac78bb159ca89fd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.17.1
    versionCode: 40
    commit: b39c92a658458affac83351adc5540e8a2769f1b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/splits/,+8d' build.gradle

  - versionName: 0.18.1
    versionCode: 42
    commit: 94eac66d120a2c5444e11a083eedda1630bb2086
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/isEnable/s/true/false/' build.gradle.kts

  - versionName: 0.19.0
    versionCode: 43
    commit: cc51b795394a95530a0571f1e1e243c54c6df5a3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/isEnable/s/true/false/' build.gradle.kts

  - versionName: 0.20.0
    versionCode: 44
    commit: 2e985790e916edcddcf895b1006752f444345845
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/isEnable/s/true/false/' build.gradle.kts

  - versionName: 0.20.1
    versionCode: 45
    commit: bd2bc9ed7ac9b9aa716f5f8528f114092f62d23d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/isEnable/s/true/false/' build.gradle.kts

  - versionName: 0.21.0
    versionCode: 46
    commit: 6ed64172cff7b29d32c9d9cdb25b1623b3ee6b5c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/isEnable/s/true/false/' build.gradle.kts

  - versionName: 0.21.1
    versionCode: 47
    commit: c3165a504451461728fdb53dd40df9f512cfa4f2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/isEnable/s/true/false/' build.gradle.kts

  - versionName: 0.22.0
    versionCode: 48
    commit: e4501b14cd654907fb82f7cd2d00744bac871f8e
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/isEnable/s/true/false/' build.gradle.kts

AutoUpdateMode: Version
UpdateCheckMode: Tags .*[0-9]$
CurrentVersion: 0.22.0
CurrentVersionCode: 48
